curl --request GET \
--url https://api.circle.com/v1/w3s/contracts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.circle.com/v1/w3s/contracts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.circle.com/v1/w3s/contracts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"contract": {
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"archived": false,
"blockchain": "MATIC-AMOY",
"name": "First Contract",
"updateDate": "2023-01-01T12:04:05Z",
"createDate": "2023-01-01T12:04:05Z",
"sourceCode": [
{
"fileContent": "pragma solidity ^0.4.24;\n\n/**\n * @title SafeMath\n * @dev Math operations with safety checks...",
"fileName": "openzeppelin-solidity/contracts/math/SafeMath.sol"
}
],
"functions": [
{
"type": "function",
"name": "approve",
"stateMutability": "nonpayable",
"inputs": [
{
"components": [
"<unknown>"
],
"indexed": true,
"name": "to",
"type": "address",
"flattenedType": "<string>"
}
],
"outputs": [
{
"components": [
"<unknown>"
],
"indexed": true,
"name": "to",
"type": "address",
"flattenedType": "<string>"
}
]
}
],
"events": [
{
"type": "event",
"name": "Approval",
"anonymous": false,
"inputs": [
{
"components": [
"<unknown>"
],
"indexed": true,
"name": "to",
"type": "address",
"flattenedType": "<string>"
}
]
}
],
"deployerWalletID": "f39e3dbd-84af-4d3d-b5ac-98fbe047ce6a",
"deploymentTransactionId": "00ca46f3-c31b-4e3a-92a9-068d4ff26a63",
"txHash": "0x4a25cc5e661d8504b59c5f38ba93f010e8518966f00e2ceda7955c4b8621357d",
"abiJson": "[{\"inputs\": [],\"stateMutability\": \"nonpayable\",\"type\": \"constructor\"},...",
"contractAddress": "0x1e124d7384cd34448ea5907bd0052a79355ab5eb",
"deployerAddress": "0x1bf9ad0cc2ad298c69a2995aa806ee832788218c",
"deployerUserID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deploymentErrorReason": "<string>",
"deploymentErrorDetails": "<string>",
"description": "My first hello world contract",
"metadataLink": "https://ipfs.io/ipfs/Qme7ss3ARVgxv6rXqVPiikMJ8u2NLgmgszg13pYrDKEoiu",
"implementationContract": {}
}
}
}{
"code": 123,
"message": "<string>"
}Get a contract
Get a single contract that you’ve imported or deployed. Retrieved using the contracts ID as opposed to the on-chain address.
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.
Headers
Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.
A unique identifier, which can be helpful for identifying a request when communicating with Circle support.
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Path Parameters
The universally unique identifier of the resource.
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
Contract retrieved successfully.
Show child attributes
Show child attributes
Was this page helpful?